## qtrapids 0.1-2

=== CMakeLists.txt ===
project(qtrapids)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_VERBOSE_MAKEFILE ON)

# Check if we are building under scratchbox and link with QtMaemo5 only in that case.
# Thus, we maintain desktop build-ability also
set (SCRATCHBOX_UNAME $ENV{SBOX_UNAME_MACHINE})

if (SCRATCHBOX_UNAME)
	MESSAGE("Configuring for building under Scratchbox..")
	SET(CMAKE_INSTALL_PREFIX /usr)
	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif (SCRATCHBOX_UNAME)

add_definitions(-Wall -g)

find_package(Qt4 REQUIRED)

add_subdirectory(./dbus)
add_subdirectory(./src/client)
add_subdirectory(./src/server)
#add_subdirectory(./src/utest)
