=== dbus/CMakeLists.txt ===
SET(SOURCES ${CMAKE_HOME_DIRECTORY}/dbus/com.ixonos.qtrapids.xml)
SET(PROXY_SRC proxy.h proxy.cpp)
SET(SERVER_SRC server.h server.cpp)

SET(PROXY_TARGET 
  ${CMAKE_HOME_DIRECTORY}/src/client/proxy.h 
  ${CMAKE_HOME_DIRECTORY}/src/client/proxy.cpp)

SET(SERVER_TARGET 
  ${CMAKE_HOME_DIRECTORY}/src/server/server.h 
  ${CMAKE_HOME_DIRECTORY}/src/server/server.cpp)

SET(GENERATED_FILES ${PROXY_SRC} ${SERVER_SRC})

ADD_CUSTOM_COMMAND(OUTPUT ${GENERATED_FILES} 
  COMMAND qdbusxml2cpp -a server -c QtRapidsServer -i "qtrapids/dbus.hpp" -p proxy ${SOURCES}
  COMMAND cp ${PROXY_SRC} ${CMAKE_HOME_DIRECTORY}/src/client
  COMMAND cp ${SERVER_SRC} ${CMAKE_HOME_DIRECTORY}/src/server
  DEPENDS ${SOURCES}
  COMMENT "DBus API sources")


ADD_CUSTOM_TARGET(dbusapi ALL DEPENDS ${GENERATED_FILES})
