=== src/client/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

INCLUDE_DIRECTORIES(../include ../plugins)

FIND_LIBRARY(BOOST_SYSTEM boost_system-mt)
IF(${BOOST_SYSTEM} STREQUAL BOOST_SYSTEM-NOTFOUND)
  MESSAGE(SEND_ERROR ${BOOST_SYSTEM})
ENDIF(${BOOST_SYSTEM} STREQUAL BOOST_SYSTEM-NOTFOUND)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTTEST_INCLUDE_DIR}
   ${QT_QTDBUS}
   ${QT_QTGUI}
)

SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/proxy.cpp ${CMAKE_CURRENT_SOURCE_DIR}/proxy.h PROPERTIES GENERATED 1)

SET(MOC_HEADERS
  ./DownloadView.h
  ./MainWindow.h
  ./PreferencesDialog.h
  ./proxy.h
  ./SeedView.h
  ./ColumnSelectorDialog.h
)

SET(SRC
  ./DownloadView.cpp
  ./main.cpp
  ./MainWindow.cpp
  ./PreferencesDialog.cpp
  ./proxy.cpp
  ./SeedView.cpp
  ./ColumnSelectorDialog.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS})
ADD_EXECUTABLE(qtrapids-gui ${SRC} ${MOC_HEADERS})
INSTALL(TARGETS qtrapids-gui DESTINATION bin)

ADD_DEFINITIONS(-DQT_SHARED)

set(QT_QTMAEMO5_LIBRARY -lQtMaemo5 -L${QT_LIBRARY_DIR})

# QT_QTMAEMO5_* variables are not defined by CMake
if(NOT QT_QTMAEMO5_INCLUDE_DIR)
	FIND_PATH(QT_QTMAEMO5_INCLUDE_DIR QtMaemo5
	PATHS ${QT_HEADERS_DIR}/QtMaemo5 NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_INCLUDE_DIR)
if(NOT QT_QTMAEMO5_LIBRARY)
	FIND_LIBRARY(QT_QTMAEMO5_LIBRARY QtMaemo5
	PATHS ${QT_LIBRARY_DIR} NO_DEFAULT_PATH)
endif(NOT QT_QTMAEMO5_LIBRARY)


TARGET_LINK_LIBRARIES(qtrapids-gui
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  -lboost_system-mt
)

# Check if we are building under scratchbox and link with QtMaemo5 only in that case.
# Thus, we maintain desktop build-ability also
set (SCRATCHBOX_UNAME $ENV{SBOX_UNAME_MACHINE})

if (SCRATCHBOX_UNAME)
	MESSAGE("Configuring for building under Scratchbox..")
	TARGET_LINK_LIBRARIES(qtrapids-gui  ${QT_QTMAEMO5_LIBRARY})
endif (SCRATCHBOX_UNAME)

#MESSAGE(${CMAKE_HOST_SYSTEM_PROCESSOR}) 
#CHECK_LIBRARY_EXISTS(QT_QTMAEMO5_LIBRARY)



ADD_DEPENDENCIES(qtrapids-gui dbusapi)
