=== src/server/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

FIND_LIBRARY(TORRENT_RASTERBAR torrent-rasterbar)
IF(${TORRENT_RASTERBAR} STREQUAL TORRENT_RASTERBAR-NOTFOUND)
  MESSAGE(SEND_ERROR ${TORRENT_RASTERBAR})
ENDIF(${TORRENT_RASTERBAR} STREQUAL TORRENT_RASTERBAR-NOTFOUND)

INCLUDE_DIRECTORIES(../include)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTDBUS_INCLUDE_DIR}
   ${QT_QTSQL_INCLUDE_DIR}
)

SET_SOURCE_FILES_PROPERTIES(${CMAKE_CURRENT_SOURCE_DIR}/server.cpp ${CMAKE_CURRENT_SOURCE_DIR}/server.h PROPERTIES GENERATED 1)

SET(MOC_HEADERS
  ./AlertWaiterThread.hpp
  ./TorrentSession.hpp
  ./server.h
)

SET(SRC
  ./AlertWaiterThread.cpp
  ./main.cpp
  ./server.cpp
  ./TorrentSession.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS} )

SET(SRC_NOMOC
  ./TorrentHandle.cpp
  ./TorrentHandle.hpp
  ./ServerDb.hpp
)

ADD_EXECUTABLE(qtrapids-server ${SRC} ${MOC_HEADERS} ${SRC_NOMOC})
INSTALL(TARGETS qtrapids-server DESTINATION bin)

ADD_DEFINITIONS(-DQT_SHARED)
TARGET_LINK_LIBRARIES(qtrapids-server
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  -ltorrent-rasterbar
  -lboost_filesystem-mt
)

ADD_DEPENDENCIES(qtrapids-server dbusapi)
