=== src/utest/options/CMakeLists.txt ===
INCLUDE(${QT_USE_FILE})

INCLUDE_DIRECTORIES(../include)

INCLUDE_DIRECTORIES(
   ${QT_INCLUDE_DIR}
   ${QT_QTTEST_INCLUDE_DIR}
   ${QT_QTGUI}
)


SET(MOC_HEADERS
  ./Options.hpp
  ./modeltest.h
)

SET(SRC
  ./Options.cpp
  ./modeltest.cpp
)

QT4_WRAP_CPP(SRC ${MOC_HEADERS})


SET(MOC_UIHEADERS
  ./MainUI.hpp
)

SET(UISRC
  ./MainUI.cpp
  ./Options.cpp
)

QT4_WRAP_CPP(UISRC ${MOC_UIHEADERS})

SET(MOC_UTESTHEADERS
  ./TestSettingsModel.hpp
)

SET(UTESTSRC
  ./TestSettingsModel.cpp
)

QT4_WRAP_CPP(UTESTSRC ${MOC_UTESTHEADERS})


ADD_EXECUTABLE(uitestopt ${UISRC} ${MOC_UIHEADERS} ${SRC} ${MOC_HEADERS} mainui.cpp)
ADD_EXECUTABLE(testopt ${SRC} ${MOC_HEADERS} ${UTESTSRC} ${MOC_UTESTHEADERS}  main.cpp)

ADD_DEFINITIONS(-DQT_SHARED)

TARGET_LINK_LIBRARIES(uitestopt 
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
)

TARGET_LINK_LIBRARIES(testopt 
  ${QT_QTGUI_LIBRARY} 
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTTEST_LIBRARY}
)
