=== debian/changelog ===
qtrapids (0.1-2) unstable; urgency=low

  * Fixed dependencies

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Sat, 28 Jan 2012 12:26:28 +0200 
